curl --request POST \
--url https://ai.wisepilot.app/api/v1/lifecycle/{entityType}/{entityId}/advance \
--header 'Authorization: Bearer <token>'{
"success": true,
"data": {
"advanced": true,
"previousStep": "<string>",
"currentStep": "<string>",
"lifecycle": {
"entityType": "<string>",
"entityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lifecycleKey": "<string>",
"currentStepId": "<string>",
"currentStepLabel": "<string>",
"readinessScore": 123,
"steps": [
{
"id": "<string>",
"label": "<string>",
"status": "completed",
"criteria": [
{
"type": "<string>",
"met": true,
"label": "<string>"
}
]
}
]
}
}
}Evaluate current step criteria and advance to the next step if all criteria are met. Returns the updated lifecycle state. minRole: editor
curl --request POST \
--url https://ai.wisepilot.app/api/v1/lifecycle/{entityType}/{entityId}/advance \
--header 'Authorization: Bearer <token>'{
"success": true,
"data": {
"advanced": true,
"previousStep": "<string>",
"currentStep": "<string>",
"lifecycle": {
"entityType": "<string>",
"entityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lifecycleKey": "<string>",
"currentStepId": "<string>",
"currentStepLabel": "<string>",
"readinessScore": 123,
"steps": [
{
"id": "<string>",
"label": "<string>",
"status": "completed",
"criteria": [
{
"type": "<string>",
"met": true,
"label": "<string>"
}
]
}
]
}
}
}